- API-Referenz
- Marktplatz
- List incoming Invoices of a contributor
List incoming Invoices of a contributor
Request
- contributorIdstringrequiredBeispiel:
"ac3c8bbe-4c44-4f34-b6c7-1e6af48c3a7c"
- searchstring
Search Invoice by number or id
Beispiel:"RG7545" - limitinteger (≥ 0)
The max count of resources to return in the list response.
- skipinteger
Number of items to skip. Should be multiple of
limit. - pageinteger (≥ 0)
Page to display.
skipandpageend up doing the same. If bothpageandskipare set, skip is used. - sortArray von "invoiceNumber"
List of fields how the result should be sorted.
- orderArray von string (einer von: asc, desc)
Should the result be sorted ascending or descending? You can specify for each field another sorting: sort[0]=foo, order[0]=asc, sort[1]=bar, order[1]=desc.
Responses
- X-Pagination-Limitinteger
The limit used to select the resources for the response
- X-Pagination-Skipinteger
The number of skipped items
- X-Pagination-Pagenumber
The calculate page of the list response. Refer to parameters to learn more.
- X-Pagination-TotalCountinteger
The total amount of items available in the remote ressource. Use this value in combination with the limit to calculate the available pages.
List of incoming Invoices
- Array[
- *object
- currencystringrequired
- customerIdstringrequired
- customerNamestringrequired
- customerNumberstringrequired
- datestring (date-time)required
- idstring (uuid)required
- invoiceNumberstringrequired
- invoiceTypestring (einer von: REGULAR, CORRECTION, REISSUE, CANCELLATION)
- pdfIdstring (uuid)required
- recipientobjectrequired
- addressobjectrequired
- streetstringrequired
- houseNumberstringrequired
- citystringrequired
- zipstringrequired
- countryCodestringrequired
ISO 3166-1 alpha-2 country code
- addressPrefixstring
- companystring
- emailAddressstring (email)
- firstNamestring
- lastNamestring
- leitwegIdstring (≤ 46 Zeichen)
German electronic invoicing routing ID (XRechnung). Only allowed for public authorities and requires a company.
- phoneNumbersArray von string
- Array[
- *string
]
- purchaseOrderReferencestring (≤ 200 Zeichen)
Purchase order reference printed on the invoice. Not allowed together with a leitwegId.
- salutationstring (einer von: mr, ms, other)required
- titlestring
- useFormalTermboolean
- totalGrossnumberrequired
- totalNetnumberrequired
]
Content-Type: application/json
[
{
"currency": "EUR",
"customerId": "6439a2f4-5de2-4314-bae2-b6edb4eb4c37",
"customerName": "Meine Organisation",
"customerNumber": "4151123",
"date": "1985-10-26T01:21:00.000Z",
"id": "f0f86186-0a5a-45b2-aa33-502777496347",
"invoiceNumber": "RG1234567",
"invoiceType": "REGULAR",
"pdfId": "f0f86186-0a5a-45b2-aa33-502777496347",
"recipient": {
"address": {
"street": "Königsberger Straße",
"houseNumber": "4-6",
"city": "Espelkamp",
"zip": "32339",
"countryCode": "DE",
"addressPrefix": "c/o Ada Lovelace"
},
"company": "Mittwald CM Service GmbH & Co. KG",
"emailAddress": "email@mittwald.example",
"firstName": "Ada",
"lastName": "Lovelace",
"leitwegId": "string",
"phoneNumbers": [
"+49 123 4567890"
],
"purchaseOrderReference": "string",
"salutation": "mr",
"title": "Dr.",
"useFormalTerm": true
},
"totalGross": 595,
"totalNet": 500
}
]
{
"items": {
"properties": {
"currency": {
"example": "EUR",
"type": "string"
},
"customerId": {
"example": "6439a2f4-5de2-4314-bae2-b6edb4eb4c37",
"type": "string"
},
"customerName": {
"example": "Meine Organisation",
"type": "string"
},
"customerNumber": {
"example": "4151123",
"type": "string"
},
"date": {
"format": "date-time",
"type": "string"
},
"id": {
"format": "uuid",
"type": "string"
},
"invoiceNumber": {
"example": "RG1234567",
"type": "string"
},
"invoiceType": {
"enum": [
"REGULAR",
"CORRECTION",
"REISSUE",
"CANCELLATION"
],
"type": "string"
},
"pdfId": {
"format": "uuid",
"type": "string"
},
"recipient": {
"properties": {
"address": {
"type": "object",
"properties": {
"street": {
"type": "string",
"example": "Königsberger Straße"
},
"houseNumber": {
"type": "string",
"example": "4-6"
},
"city": {
"type": "string",
"example": "Espelkamp"
},
"zip": {
"type": "string",
"example": "32339"
},
"countryCode": {
"type": "string",
"example": "DE",
"description": "ISO 3166-1 alpha-2 country code"
},
"addressPrefix": {
"type": "string",
"example": "c/o Ada Lovelace"
}
},
"required": [
"street",
"houseNumber",
"city",
"zip",
"countryCode"
]
},
"company": {
"example": "Mittwald CM Service GmbH & Co. KG",
"type": "string"
},
"emailAddress": {
"format": "email",
"type": "string"
},
"firstName": {
"example": "Ada",
"type": "string"
},
"lastName": {
"example": "Lovelace",
"type": "string"
},
"leitwegId": {
"description": "German electronic invoicing routing ID (XRechnung). Only allowed for public authorities and requires a company.",
"maxLength": 46,
"type": "string"
},
"phoneNumbers": {
"items": {
"example": "+49 123 4567890",
"type": "string"
},
"type": "array"
},
"purchaseOrderReference": {
"description": "Purchase order reference printed on the invoice. Not allowed together with a leitwegId.",
"maxLength": 200,
"type": "string"
},
"salutation": {
"type": "string",
"enum": [
"mr",
"ms",
"other"
]
},
"title": {
"example": "Dr.",
"type": "string"
},
"useFormalTerm": {
"type": "boolean"
}
},
"required": [
"address",
"salutation"
],
"type": "object"
},
"totalGross": {
"example": 595,
"type": "number"
},
"totalNet": {
"example": 500,
"type": "number"
}
},
"required": [
"id",
"invoiceNumber",
"customerId",
"customerNumber",
"customerName",
"date",
"pdfId",
"recipient",
"totalNet",
"totalGross",
"currency"
],
"type": "object"
},
"type": "array"
}
Validation Error caused by invalid input data in the request
- type"ValidationError"required
- messagestring
- validationErrorsArray von objectrequired
- Array[
- *object
- messagestringrequired
The standard error message
- pathstringrequired
The path to the part of the data that was validated. JavaScript property access notation (e.g., ".prop[1].subProp") is used.
- typestringrequired
ajv validation error type (e.g. "format", "required", "type") or own validation error types
- contextobject
The object with the additional information about the error that can be used to create custom error messages. Keys depend on the type that failed validation (e.g. "missingProperty" for type "required")
- *string
]
Content-Type: application/json
{
"type": "ValidationError",
"message": "Validation failed",
"validationErrors": [
{
"message": "should be string",
"path": ".address.street",
"type": "format",
"context": {
"format": "email"
}
}
]
}
{
"type": "object",
"required": [
"type",
"validationErrors"
],
"properties": {
"type": {
"type": "string",
"enum": [
"ValidationError"
]
},
"message": {
"type": "string",
"example": "Validation failed"
},
"validationErrors": {
"type": "array",
"items": {
"type": "object",
"required": [
"message",
"path",
"type"
],
"properties": {
"message": {
"type": "string",
"description": "The standard error message",
"example": "should be string"
},
"path": {
"type": "string",
"description": "The path to the part of the data that was validated. JavaScript property access notation (e.g., \".prop[1].subProp\") is used.\n",
"example": ".address.street"
},
"type": {
"type": "string",
"description": "ajv validation error type (e.g. \"format\", \"required\", \"type\") or own validation error types",
"example": "format"
},
"context": {
"type": "object",
"example": {
"format": "email"
},
"description": "The object with the additional information about the error that can be used to create custom error messages. Keys depend on the\ntype that failed validation (e.g. \"missingProperty\" for type \"required\")\n",
"additionalProperties": {
"type": "string"
}
}
}
}
}
}
}
The requested resource was not found
- messagestringrequired
- typestringrequired
Content-Type: application/json
{
"message": "Something went wrong",
"type": "InternalServerError"
}
{
"type": "object",
"required": [
"type",
"message"
],
"properties": {
"message": {
"type": "string",
"example": "Something went wrong"
},
"type": {
"type": "string",
"example": "InternalServerError"
}
}
}
Your request ran into a rate limit. You have to wait until rate limit expires
- messagestring
- typestring
Content-Type: application/json
{
"message": "too many requests",
"type": "RateLimitError"
}
{
"type": "object",
"properties": {
"message": {
"type": "string",
"example": "too many requests"
},
"type": {
"type": "string",
"example": "RateLimitError"
}
}
}
An unexpected Error that occurred while handling the request
- messagestringrequired
- typestringrequired
Content-Type: application/json
{
"message": "Something went wrong",
"type": "InternalServerError"
}
{
"type": "object",
"required": [
"type",
"message"
],
"properties": {
"message": {
"type": "string",
"example": "Something went wrong"
},
"type": {
"type": "string",
"example": "InternalServerError"
}
}
}
Nutzungsbeispiele
$ curl \
--fail \
--location \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/contributors/string/invoices/incoming?search=string&limit=50&page=1&sort=invoiceNumber&order=asc
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";
const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.marketplace.contributorListIncomingInvoices({
"contributorId": "string",
"queryParameters": {
"search": "string",
"limit": 50,
"page": 1,
"sort": [
"invoiceNumber"
],
"order": [
"asc"
]
}
});
assertStatus(response, 200);
use \Mittwald\ApiClient\Generated\V2\Clients\Marketplace\ContributorListIncomingInvoices\ContributorListIncomingInvoicesRequest;
$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));
$request = (new ContributorListIncomingInvoicesRequest(
contributorId: "string"
))
->withSearch("string")
->withLimit(50)
->withPage(1)
->withSort(["invoiceNumber"])
->withOrder(["asc"]);
$response = $client->marketplace()->contributorListIncomingInvoices($request);
var_dump($response->getBody();